<!DOCTYPE HTML>

<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="author" content="Gruppe Pitahaya">
	<meta name="description" content="Gruppenarbeit TOSE - Projektportfolio">
	<meta name="keywords" content="TOSE,Pitahaya,Gruppenarbeit,Projektportfolio">
	<link href="/css/pitahaya.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/css/pitahaya-form.css" rel="stylesheet" type="text/css" media="all" />
	<script type="text/javascript" src="/javascripts/bearbeiten.js" async></script>
	<script type="text/javascript" src="/javascripts/tabs.js" async></script> 
	<script type="text/javascript" src="/javascripts/projektphaseninfo.js" async></script> 
	<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.4/jquery.min.js"></script>
	<script src="https://www.gstatic.com/charts/loader.js"></script>
	<script type="text/javascript" src="/javascripts/statusauswahl.js" async></script>
	<script src="https://cdn.anychart.com/js/8.0.1/anychart-core.min.js"></script>
	<script src="https://cdn.anychart.com/js/8.0.1/anychart-cartesian.min.js"></script>
	<title>Pitahaya PPM Webseite</title>
</head>

<body> 
<div id="page" class="container">
    <div id="header">
		<div id="logo">
			<a href="/index"><img src="/images/pitahaya.jpg" alt="Pitahaya Bild" height="80" width="80"></a>
			<h5>Pitahaya PPM</h5>
				<br>	
			<span th:text="${session_user}"></span>
         	<a href="/logout"><img src="/images/shutdown-button.png" width="16" height="16" align="middle"></a>
		</div>
		<div id="menu">
			<ul>
				<li><a href="/index">Startseite</a></li>
				<li><a href="/profil">Mein Profil</a></li>
				<li><a href="/projekte">Projekt&uuml;bersicht</a></li>
				<li><a href="/sites/kontakt.html">Kontakt</a></li>
			</ul>
		</div>
	</div>
	
<!-- Projektsteckbrief -->
	<div id="steckbrief">
		<div class="title">
			<h2><span th:text="${projectDetail.projektname}"></span></h2>
		</div>
		<div class="tab">
		  <button class="tablinks active" onclick="openTab(event, 'Projektdatentab')">Projektdaten</button>
		  <button class="tablinks" onclick="openTab(event, 'Projektbudgettab')">Projektbudget</button>
		  <button class="tablinks" onclick="openTab(event, 'Projektressourcentab')">Projekressourcen</button>
		  <button class="tablinks" onclick="openTab(event, 'Projektrisikentab')">Projektrisiken</button>
		</div>
	
		<div class="errormsg"> 
        	<span th:text="${error}"></span>
        </div>
		<br>	
		
<!-- Tab Projektstammdaten-->
		<div id="Projektdatentab" class="tabcontent" style="display: block">
			<table bgcolor="#ffffff">
				<tr>
					<th>Status Projekt</th>
				    <th>Status Budget</th>
					<th>Status Ressourcen</th>
					<th>Status Risiken</th>
				</tr>
				<tr>
					<td bgcolor="#ffffff" >
						<div th:object="${projektstatus}">
							<select id="projektstatus" onchange="updatestatus()" name="projektstatus.projectstatus">
								<option value="Grün" th:selected="*{projectstatus}==Grün" >Grün</option>
								<option value="Neutral" th:selected="*{projectstatus}==Neutral" >Neutral</option>
								<option value="Gelb" th:selected="*{projectstatus}==Gelb" >Gelb</option>
								<option value="Rot" th:selected="*{projectstatus}==Rot" >Rot</option>
							</select>
						</div>
						<div>
							<img id="imageProjectstatus" th:src="${'/images/' + projektstatus.projectstatus + '.jpg'}" height="70" width="70"/>
						</div>
					</td>
					<td bgcolor="#ffffff" >
						<div>
							<img id="imageBudgetstatus" th:src="${'/images/' + projektstatus.budgetstatus + '.jpg'}" height="70" width="70"/>
						</div>
					</td>
					<td bgcolor="#ffffff" >
						<div>
							<img id="imageRessourcestatus" th:src="${'/images/' + projektstatus.ressourcestatus + '.jpg'}" height="70" width="70"/>
						</div>
					</td>
					<td bgcolor="#ffffff" >
						<div>
							<img id="imageRiskstatus" th:src="${'/images/' + projektstatus.riskstatus + '.jpg'}" height="70" width="70"/>
						</div>
					</td>
				</tr>
			</table>               
		    <form id="projektsteckbrief" action="/project/update" th:action="${postAction}" method="post" th:object="${projectDetail}">
		    	<input id="Projektid" type="hidden" name="projectDetail.id" th:value="*{id}" />     
				<div class="col-3 field">	
					<input id="Projektnummer" type="text" name="projectDetail.projektnummer" th:value="*{projektnummer}" readonly disabled />
					<label for="Projektnummer">Projektnummer</label>
				</div>
				<div class="col-3 field">
					<input id="Projektname" type="text" class="Projektdatenfeld" name="projectDetail.projektname" th:value="*{projektname}" disabled/>
					<label for="Projektname">Projektname</label>
				</div>
				<div class="col-3 field" th:if="*{projektleiter != null}">
					<input id="Projektleiter" type="text" class="Projektdatenfeld" name="projectDetail.projektleiter" th:value="${projectDetail.projektleiter.username}" disabled/>
					<label for="Projektleiter">Projektleiter</label>
				</div>
				<div class="col-3 field">
					<input id="Projektbudget" type="text" class="Projektdatenfeld" name="projectDetail.projektbudget" th:value="*{projektbudget}" disabled/>
					<label for="Projektbudget">Projektbudget</label>
				</div>
				<div class="col-3 field">	
					<input id="Projektstart" type="date" class="Projektdatenfeld" name="projectDetail.projektstart" th:value="*{#temporals.format(projektstart, 'yyyy-MM-dd')}" disabled/>
					<label for="Projektstart">Projektstart</label> 
				</div>
				<div class="col-3 field">		
					<input id="Projektende" type="date" class="Projektdatenfeld" name="projectDetail.projektende" th:value="*{#temporals.format(projektende,'yyyy-MM-dd')}" disabled/>
					<label for="Projektende">Projektende</label> 
				</div>
				<div class="col-3 field">		
					<input id="Projektphase" type="text" class="Projektdatenfeld" name="projectDetail.projektphase" th:value="*{projektphase}" disabled/>
					<label for="Projektphase">Projektphase</label> 
				</div>
				<div class="col-3 field">		
					<input id="Projektstatus" type="text" class="Projektdatenfeld" name="projectDetail.projektstatus" th:value="*{projektstatus}" disabled/>
					<label for="Projektstatus">Projektstatus</label> 
				</div>
				<input id="Projektdaten bearbeiten" type="button" class="button" value="Projektdaten bearbeiten" onclick="enable()">  
				<input id="Projektdaten speichern" type="submit" class="button" value="Projektdaten speichern" disabled>
			</form>
		</div>

<!-- Tab Projektbudget-->
		<div id="Projektbudgettab" class="tabcontent" style="display: none">
			<form id="projektsteckbrief" action="#" th:action="${postAction}" method="get" th:object="${evaProject}">  
				<div class="col-3 field">
					<input id="Projektbudget" type="text" class="Projektdatenfeld" name="" th:value="*{budget}" disabled/>
					<label for="Projektbudget">Projektbudget</label>
				</div>
				<div class="col-3 field">	
					<input id="IST-Kosten" type="text" class="Projektdatenfeld" name="" th:value="*{actualCost}" disabled/>
					<label for="IST-Kosten">IST-Kosten</label> 
				</div>
				<div class="col-3 field">		
					<input id="Plan-Kosten" type="text" class="Projektdatenfeld" name="" th:value="*{plannedValue}" disabled/>
					<label for="Plan-Kosten">Plan-Kosten</label> 
				</div>
				<div class="col-3 field">		
					<input id="Kostenabweichung" type="text" class="Projektdatenfeld" name="" th:value="*{costDifference}" disabled/>
					<label for="Kostenabweichung">Kostenabweichung</label> 
				</div>
				<div class="col-3 field">		
					<input id="Kosteneffizienz" type="text" class="Projektdatenfeld" name="" th:value="*{costEfficency}" disabled/>
					<label for="Kosteneffizienz">Kosteneffizienz</label> 
				</div>
				<div class="col-3 field">		
					<input id="Fertigstellungswert" type="text" class="Projektdatenfeld" name="" th:value="*{degreeOfCompletion}" disabled/>
					<label for="Fertigstellungswert">Fertigstellungswert</label> 
				</div>
				<div class="col-3 field">		
					<input id="Plan Abweichung" type="text" class="Projektdatenfeld" name="" th:value="*{planDifference}" disabled/>
					<label for="Plan Abweichung">Plan Abweichung</label> 
				</div>
				
				<!-- Ampel für Projektbudget-->
				<p>Projektbudgetstatus</p>
			 	<div>		
					<div th:object="${projektstatus}">
						<select id="budgetstatus" onchange="updatestatus()" name="projektstatus.budgetstatus">
							<option value="Grün" th:selected="*{budgetstatus}==Grün" >Grün</option>
							<option value="Neutral" th:selected="*{budgetstatus}==Neutral" >Neutral</option>
							<option value="Gelb" th:selected="*{budgetstatus}==Gelb" >Gelb</option>
							<option value="Rot" th:selected="*{budgetstatus}==Rot" >Rot</option>
						</select>
					</div>
					<div>
						<img id="imgBudgetstatus" th:src="${'/images/' + projektstatus.budgetstatus + '.jpg'}" height="70" width="70"/>
					</div>
				</div>
			</form>
			<hr>
			<br>
		<!-- Übersicht über Phasen des Projektes inkl. der drei Kennzahlen-->
			<table class="phase" border="4" width="100%">
			  
			  <tr>
			  
				<th>Phasen Name</th>
				<th>Planned Value</th>
				<th>Actual Cost</th>
				<th>Earned Value</th>
			  </tr>
			  <th:block th:each="eintrag : ${evaPhasen}">
			  
				<tr class="test3">
				  <td class="accordion" th:text="${eintrag.key}"></td>
				  <td th:text="${eintrag.value.getPlannedValue()}"></td>
				  <td th:text="${eintrag.value.getActualCost()}"></td>
				  <td th:text="${eintrag.value.getEarnedValue()}"></td>
				</tr>
		<!-- Übersicht über Workpackages der einzelnen Projektphasen inkl. Zennzahlen-->
				<tr class="test" style="visibility:collapse">
				<td colspan="4">
				<table class="wp" border="2">				
					<tr>
						<th>Workpackage Name</th>
						<th>Planned Value</th>
						<th>Actual Cost</th>
						<th>Earned Value</th>
					</tr>
					<th:block th:each="wpDetail : ${evaWP}" >
					<tr class="test2" th:if="${eintrag.key == wpDetail.value.getName()}">
						<td class="accordion1" th:text="${wpDetail.key}"></td> 
						<td th:text="${wpDetail.value.getPlannedValue()}"></td>
						<td th:text="${wpDetail.value.getActualCost()}"></td>
						<td th:text="${wpDetail.value.getEarnedValue()}"></td>
						<td><a href="." class="button" th:href="${'/workpackage/delete?id=' + wpDetail.key}">löschen</a></td>				
					</tr> 
		<!-- Übersicht über Budgetposten der einzelnen Workpackages inkl. Zennzahlen-->				
					<tr class="test1" style="visibility:collapse">
					<td colspan="5">
					<table class="budget" border="1">
						<tr>
					<!-- <th>Budget Name</th>-->
							<th>User</th>
							<th>Beschreibung</th>
							<th>Betrag</th>
							<th>Datum</th>
						</tr>
						<th:block th:each="costDetail : ${wpKosten}"> 
						<tr th:each="cost : ${costDetail.value}" th:if="${wpDetail.key == costDetail.key}"> 
							<!-- <td th:text="${costDetail.key}"></td> -->
							<td th:text="${cost.getUser().getUsername()}"></td>						
							<td th:text="${cost.getBeschreibung()}"></td>
							<td th:text="${cost.getBetrag()}"></td>
							<td th:text="${cost.getDatum()}"></td>
							<td><a href="." class="button" th:href="${'/kosten/delete?id=' + cost.getId()}">löschen</a></td>
						</tr>
						</th:block>    
					</table>
					</td>
					</tr>
					</th:block>
				</table>
				</td>				
				</tr>
			  </th:block>
			</table>		
            <p>
			<div id="workpackage_erfassen">
                <form action="workpackage_erfassen" target="_self">
                	<input type="hidden" name="projectId" th:value="${projectDetail.id}" />
                    <input type="submit" class="button" value="Neue Workpackage erfassen">
                </form>
            </div>
			<p><p> 
			<div id="kosten_erfassen">
                <form action="kosten_erfassen" target="_self">
                	<input type="hidden" name="projectId" th:value="${projectDetail.id}" />
                    <input type="submit" class="button" value="Kosten für WP erfassen">
                </form>
            </div>			
		</div>
		
<!-- Tab Projektressourcen-->		
		<div id="Projektressourcentab" class="tabcontent" style="display: none">
		<!-- Übersicht über Projektstackeholder-->		
			<h6>Projektstakeholder</h6><br><br>
				<table>
				<tr>
					<th>User</th>
					<th>Name</th>
					<th>Vorname</th>
			 </tr>
				<tr th:each="employeeDetail : ${stakeholder}"> 
					<td th:text="${employeeDetail.getUsername()}"></td>
					<td th:text="${employeeDetail.getName()}"></td>
					<td th:text="${employeeDetail.getVorname()}"></td>
				</tr>  
			</table><br><br><br> 
		<!-- Übersicht über Projektmitarbeiter-->	
			<h6>Projektmitarbeiter</h6><br><br> 
			
			<table>
				<tr>
					<th>Rolle</th>
					<th>Projekt</th>
					<th>User</th>
				</tr>
				<tr th:each="employeeDetail : ${userDetail}"> 
					<td th:text="${employeeDetail.getRole().getRolename()}"></td>
					<td th:text="${employeeDetail.getProject().getProjektname()}"></td>
					<td th:text="${employeeDetail.getUser().getUsername()}"></td>	
				</tr>  					
			</table>
			<div id="mitarbeiter_erfassen">
                <form action="mitarbeiter_erfassen" target="_self">
                	<input type="hidden" name="projectId" th:value="${projectDetail.id}" />
                    <input type="submit" class="button" value="Neuen Projektmitarbeiter erfassen">
                </form>
            </div>
			<p><p><p>
			<!-- Ampel für Projektresourcen-->
			<p>Bitte wähle den Projekressourcenstatus aus</p>
			<div>
			 	<div th:object="${projektstatus}">
					<select id="ressourcestatus" onchange="updatestatus()" name="projektstatus.ressourcestatus">
						<option value="Grün" th:selected="*{ressourcestatus}==Grün" >Grün</option>
						<option value="Neutral" th:selected="*{ressourcestatus}==Neutral" >Neutral</option>
						<option value="Gelb" th:selected="*{ressourcestatus}==Gelb" >Gelb</option>
						<option value="Rot" th:selected="*{ressourcestatus}==Rot" >Rot</option>
					</select>
				</div>
				<div>
					<img id="imgRessourcestatus" th:src="${'/images/' + projektstatus.ressourcestatus + '.jpg'}" height="70" width="70"/>
				</div>
			</div>
		</div>
	

<!-- Tab Projektplan, könnte als weiteren Tab wieder aktiviert werden wenn nötig-->
		<!-- <div id="Projektplantab" class="tabcontent" style="display: none">
		<h6>Projektplan</h6>
		
		<p><p><p>
			<p>Bitte wähle den Projektplanstatus aus</p>
			 <div>
				  <div th:object="${projektstatus}">
					<select id="timestatus" onchange="updatestatus()" name="projektstatus.timestatus">
						<option value="Grün" th:selected="*{timestatus}==Grün" >Grün</option>
						<option value="Neutral" th:selected="*{timestatus}==Neutral" >Neutral</option>
						<option value="Gelb" th:selected="*{timestatus}==Gelb" >Gelb</option>
						<option value="Rot" th:selected="*{timestatus}==Rot" >Rot</option>
					</select>
				</div>
				<div>
					<img id="imgTimestatus" th:src="${'/images/' + projektstatus.timestatus + '.jpg'}" height="70" width="70"/>
				</div>
			</div>
		</div> -->

		
<!-- Tab Projektrisiken-->		
		<div id="Projektrisikentab" class="tabcontent" style="display: none">
		<div id="riskbubblechart" style="height: 300px"></div>
		<script type="text/javascript" th:inline="javascript">
			anychart.onDocumentReady (function() {
				/*<![CDATA[*/
				var data = [];
				var Risklist = /*[[${projectrisikoDetail}]]*/ {};
                for (i = 0; i < Risklist.length; i++) {
                  var Risk = Risklist[i];
				  var RI = Risk.eintrittswahrscheinlichkeit * Risk.auswirkungen;
				  var myRisk = {x: Risk.auswirkungen, value: Risk.eintrittswahrscheinlichkeit, size: RI};
				  data.push(myRisk);
                }

				/*]]>*/
				var chart = anychart.cartesian();
				chart.bubble(data);
				chart.legend().position("right");
				chart.legend().itemsLayout("vertical");
				chart.xAxis().title("Auswirkung");
				chart.yAxis().title("Eintrittswahrscheinlichkeit");
				chart.minBubbleSize("5%");
				chart.maxBubbleSize("12%");
				chart.xGrid().enabled(true);
				chart.yGrid().enabled(true);
				chart.yScale().minimum(0);
				chart.yScale().maximum(6);
				chart.yScale().ticks().interval(1);
				chart.xScale().ticks().interval(1);
				chart.container('riskbubblechart');
				chart.draw();
			});
		</script>


		<!-- Übersicht über Projektrisiken-->
			<table>
				<tr>
					<th>Name</th>
					<th>Ursache</th>
					<th>EW</th>
					<th>AW</th>
					<th>Massnahmen</th>
					<th>Verantwortlicher</th>
				</tr>
				<tr th:each="risiko : ${projectrisikoDetail}">  
					<td th:text="${risiko.getRisikoname()}"></td>
					<td th:text="${risiko.getUrsache()}"></td>
					<td th:text="${risiko.getEintrittswahrscheinlichkeit()}"></td>
					<td th:text="${risiko.getAuswirkungen()}"></td>
					<td th:text="${risiko.getMassnahmen()}"></td>
					<td th:text="${risiko.getVerantwortlicher().getUsername()}"></td>
					<td><a href="." class="button" th:href="${'/projektrisiko/delete?id=' + risiko.getId()}">löschen</a></td>
				</tr>
			</table>
			<br><br>
			<div id="projektrisikonew">
                <form action="projektrisiko/edit" target="_self">
                	<input type="hidden" name="projectId" th:value="${projectDetail.id}" />
                    <input type="submit" class="button" value="Neues Risiko erfassen">
                </form>
            </div>    
            <p><p><p>
			<!-- Ampel für Projektresourcen-->
			<p>Bitte wähle den Projektrisikenstatus aus</p>
			<div>
				<div th:object="${projektstatus}">
					<select id="riskstatus" onchange="updatestatus()" name="projektstatus.riskstatus">
						<option value="Grün" th:selected="*{riskstatus}==Grün" >Grün</option>
						<option value="Neutral" th:selected="*{riskstatus}==Neutral" >Neutral</option>
						<option value="Gelb" th:selected="*{riskstatus}==Gelb" >Gelb</option>
						<option value="Rot" th:selected="*{riskstatus}==Rot" >Rot</option>
					</select>
				</div>
				<div>
					<img id="imgRiskstatus" th:src="${'/images/' + projektstatus.riskstatus + '.jpg'}" height="70" width="70"/>
				</div>
			</div>
        </div> 	
	</div>
</body>
<footer>
	<div id="copyright2">
			<span>&copy; Pitahaya </span>	
	</div>
</footer>
</html>